import request from '@/utils/request'

// 查询sop模板列表
export function listSopTemp(query) {
  return request({
    url: '/qw/sopTemp/list',
    method: 'post',
    data: query
  })
}
// 查询sop模板列表
export function redList(id) {
  return request({
    url: '/qw/sopTemp/redList',
    method: 'get',
    params: {id}
  })
}

// 查询sop模板详细
export function getSopTemp(id) {
  return request({
    url: '/qw/sopTemp/' + id,
    method: 'get'
  })
}
export function dayListFun(id) {
  return request({
    url: '/qw/sopTemp/dayList',
    method: 'get',
    params: {id}
  })
}
// 查询sop模板详细
export function sortDay(list) {
  return request({
    url: '/qw/sopTemp/sortDay',
    method: 'post',
    data: list
  })
}
// 查询sop模板详细
export function selectRulesInfo(id, name, dayNum) {
  return request({
    url: '/qw/sopTemp/selectRulesInfo',
    method: 'get',
    params: {id, name, dayNum}
  })
}
// 查询sop模板详细
export function delRules(id, name, dayNum) {
  return request({
    url: '/qw/sopTemp/delRules',
    method: 'get',
    params: {id, name, dayNum}
  })
}

// 新增sop模板
export function addSopTemp(data) {
  return request({
    url: '/qw/sopTemp',
    method: 'post',
    data: data
  })
}
// 新增sop模板
export function updateRedPackage(data) {
  return request({
    url: '/qw/sopTemp/updateRedPackage',
    method: 'post',
    data: data
  })
}
// 新增sop模板
export function addTemp(data) {
  return request({
    url: '/qw/sopTemp/add',
    method: 'post',
    data: data
  })
}

// 新增sop模板
export function copyTemplate(data) {
  return request({
    url: '/qw/sopTemp/copyTemplate',
    method: 'post',
    data: data
  })
}

// 修改sop模板
export function updateTemp(data) {
  return request({
    url: '/qw/sopTemp/update',
    method: 'post',
    data: data
  })
}
// 修改sop模板
export function addOrUpdateSetting(data) {
  return request({
    url: '/qw/sopTemp/addOrUpdateSetting',
    method: 'post',
    data: data
  })
}
// 修改sop模板
export function updateSopTemp(data) {
  return request({
    url: '/qw/sopTemp',
    method: 'put',
    data: data
  })
}

// 删除sop模板
export function delSopTemp(id) {
  return request({
    url: '/qw/sopTemp/' + id,
    method: 'delete'
  })
}


export function shareSopTemp(data) {
  return request({
    url: '/qw/sopTemp/shareTemp',
    method: 'post',
    data: data
  })
}

// 导出sop模板
export function exportSopTemp(query) {
  return request({
    url: '/qw/sopTemp/export',
    method: 'post',
    data: query
  })
}

// 导出sop模板
export function getSelectableRange() {
  return request({
    url: '/qw/sopTemp/getSelectableRange',
    method: 'get'
  })
}
